HttpRequest::setPutFile
HttpRequest::setRawPostData
HttpRequest
PHP Manual

# HttpRequest::setQueryData

(PECL pecl_http >= 0.10.0)

HttpRequest::setQueryData — Set query data

### Description

public bool HttpRequest::setQueryData ( mixed `$query_data` )

Set the URL query parameters to use, overwriting previously set query parameters.

Affects any request types.

### Parameters

`query_data`

  a string or associative array parameter containing the pre-encoded query string or to be encoded query fields; if empty, the query data will be unset

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::setPutFile
HttpRequest::setRawPostData
HttpRequest
PHP Manual